.card {
  @include themify($themes) {
    background-color: themed('white');
  }
  border-radius: map-get($radius, 'card');
  display: flex;
  flex-wrap: wrap;
  padding: map-get($spacing, 'mobile') map-get($spacing, 'mobile-half');
  width: 100%;

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    padding: map-get($spacing, 'desktop');
  }
}

.card-margin-top {
  margin-top: map-get($spacing, 'mobile');

  @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
    margin-top: map-get($spacing, 'desktop');
  }

  .section-modal & {
    position: relative;
    z-index: 2;

    @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
      margin-top: calc(#{map-get($heights, 'header')} / 2);
    }
  }
}

.card-flat-top {
  @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
  }
}

.card-no-padding {
  padding: 0 !important;
}

.card-no-padding-bottom {
  padding-bottom: 0 !important;
}

.card-shadow {
  @include themify($themes) {
    box-shadow: 1rem 1rem 8rem rgba(themed('black'), .4);
  }
}

.card-alt {
  @include themify($themes) {
    background-color: themed('brand-1');
  }
}

.card-logo {
  position: relative;
  width: 100%;

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    width: calc(100% - #{map-get($spacing, 'desktop')});
  }

  img {
    height: auto;
    max-width: 253px;
    position: absolute;
    right: 0;
    top: -4.5rem;
    transition: map-get($transition, 'all');
    width: 30%;

    @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
      right: -6rem;
      top: auto;
      width: 40%;
    }
    @include breakpoint(map-get($breakpoints, 'breakpoint-xl')) {
      width: 100%;
    }
  }

  .card-inner {
    @include breakpoint(map-get($breakpoints, 'breakpoint-xs')) {
      width: percentage(2 / 3);
    }
    @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
      width: percentage(3 / 4);
    }
  }
}

.card-col-two {
  @include grid(1, $gutter: map-get($spacing, 'mobile') 0, $items: 2);

  @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
    @include grid(2, $gutter: 0 map-get($spacing, 'desktop'), $items: 2);
  }
}

.card-row {
  margin-bottom: map-get($spacing, 'desktop-small');

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    margin-bottom: map-get($spacing, 'desktop');
  }
}

.card-inner {
  width: 100%;
}

.card-header {
  @include themify($themes) {
    background-color: themed('brand-1');
  }
  align-items: center;
  border-top-left-radius: map-get($radius, 'card');
  border-top-right-radius: map-get($radius, 'card');
  display: flex;
  font-weight: 600;
  padding: map-get($spacing, 'desktop-half') map-get($spacing, 'mobile');
  width: 100%;
}

.card-title {
  @include themify($themes) {
    border-bottom: 2px solid themed('brand-5');
  }
  align-items: center;
  display: flex;
  justify-content: space-between;
  padding: map-get($spacing, 'mobile') map-get($spacing, 'mobile-half');
  width: 100%;

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    padding: map-get($spacing, 'desktop-small') map-get($spacing, 'desktop-half');
  }
}

.card-content {
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  padding: map-get($spacing, 'mobile-half');
  width: 100%;

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    padding: map-get($spacing, 'desktop-half');
  }

  p {
    margin: 0;
  }

  form {
    width: 100%;
  }
}

.card-content-border {
  @include themify($themes) {
    border-bottom: 1px solid themed('brand-3');
  }
  margin-bottom: map-get($spacing, 'mobile-half');
  margin-left: map-get($spacing, 'mobile-half');
  margin-right: map-get($spacing, 'mobile-half');
  padding-left: 0;
  padding-right: 0;

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    margin-bottom: map-get($spacing, 'desktop-half');
    margin-left: map-get($spacing, 'desktop-half');
    margin-right: map-get($spacing, 'desktop-half');
  }

  &:last-of-type {
    border-bottom: none;
  }
}

.card-content-row {
  margin-bottom: map-get($spacing, 'mobile-small');
  width: 100%;

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    margin-bottom: map-get($spacing, 'desktop-small');
  }
}

.card-content-row-slim {
  margin-bottom: 0;
}

.card-content-row-four {
  @include grid(4, $items: 2, $gutter: 2rem 0);

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    @include grid(4, $items: 2, $gutter: 4rem 0);
  }

  .card-content-span-three {
    grid-column: 1 / 6 !important;

    @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
      grid-column: 1 / 4 !important;
    }

    .card-content-row {
      &:last-of-type {
        margin-bottom: 0;
      }
    }
  }

  .card-content-span-last {
    @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
      margin-left: auto;
    }
  }
}

.card-content-row-three {
  @include grid(4, $items: 3);
  // align-items: center;

  // Possible IE11 fix
  > * {
    align-self: center;
  }

  .card-content-span-two {
    grid-column: 1 / 5 !important;

    @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
      grid-column: 2 / 4 !important;
    }
  }
}

.card-copy {
  p {
    font-size: map-get($font-size, 'h6');
    font-weight: 300;
    line-height: map-get($line-height, 'h6');

    @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
      font-size: map-get($font-size, 'h5');
      line-height: map-get($line-height, 'h5');
    }
  }
}

.card-checklist {
  list-style: none;
  margin: 0;
  padding: 0;
  width: 100%;
}

.card-checklist-item {
  align-items: flex-start;
  display: flex;
  font-size: map-get($font-size, 'h5');
  font-weight: 300;
  padding-left: map-get($spacing, 'mobile-double');
  position: relative;
  width: 100%;

  &:not(:last-of-type) {
    margin-bottom: map-get($spacing, 'desktop-half');
  }

  &:before {
    @include pseudo;
    @include themify($themes) {
      border-color: themed('brand-5');
    }
    border-radius: 1.5rem;
    border-style: solid;
    border-width: 3px;
    height: 3rem;
    left: 0;
    width: 3rem;
  }

  &.current {
    &:before {
      @include themify($themes) {
        border-color: themed('brand-quinary');
      }
    }
  }

  &.standard {
    &:before {
      @include themify($themes) {
        background-color: themed('brand-secondary');
        border-color: themed('brand-secondary');
      }
    }
  }

  &.complete {
    &:before {
      @include themify($themes) {
        background-color: themed('brand-quinary');
        border-color: themed('brand-quinary');
      }
    }
  }
}

.card-agreement {
  text-transform: uppercase;

  i {
    margin-left: map-get($spacing, 'mobile-half');
    margin-right: map-get($spacing, 'mobile-small');
  }
}

.card-agreement-agreed {
  @include themify($themes) {
    color: themed('brand-quinary');
  }
}

.card-agreement-progressing {
  @include themify($themes) {
    color: themed('brand-tertiary');
  }
}

.card-agreement-cancelled {
  @include themify($themes) {
    color: themed('brand-secondary');
  }
}
